<?
session_start();
require_once('../connect/connect.php'); 
include_once('../lib/lib.php');
require('pdk.php');


if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form")) 
	{
	$err="";
	$opl_data=$_POST['opl_data'];
	$prim =_pre($_POST['prim']);
	if(!$opl_data) $err .= 'Укажите, до какой даты оплачен блок<br>';

	if ($_FILES['fil']['tmp_name'])
		{
  		$ext = strtolower(strrchr ($_FILES['fil']['name'], "."));
  		if ($ext != ".swf") 
  		$err .= "Недопустимый формат файла. Допускаются только файлы в формате SWF<br>";
		} 
	else $err .= "Вы не загрузили баннер<br>";

	if(!intval($_POST['banner_s'])) $err .= "Вы не указали ширину баннера<br>";
	if(!intval($_POST['banner_v'])) $err .= "Вы не указали высоту баннера<br>";
	
	$banner=intval($_POST['banner_s']).'_'.intval($_POST['banner_v']);
	
	if ($err=="")
		{
		mysql_query("INSERT INTO rec (
		rec_typ,
		banner, 
		opl_data,
		opl,
		prim
		) 
		VALUES 
		(
		'3',
		'".$banner."',
		'".$opl_data."',
		'1',
		'".$prim."'
		)");

		$ins=mysql_insert_id();
	
		if(!$err && $ins)
			{
			$rec_img='banner/'.$ins.$ext;
			if(copy($_FILES['fil']['tmp_name'], $base_path.$rec_img))
				{
				$rec_cont=dir_top().$rec_img;
	    		mysql_query("UPDATE rec SET rec_img='".$rec_img."', rec_cont='".$rec_cont."' WHERE id_rec='".$ins."'");
				} 
			else
				{
	    		mysql_query("DELETE FROM rec WHERE id_rec='".$ins."'");
				}
			}
		
		echo "<HTML><HEAD><meta http-equiv='Refresh' content='0; URL=refresh.php?i=all_rec_user.php'></HEAD></HTML>";
		exit();
		} 
	}

$titl="Флеш баннер SWF";
require ('top.php'); 
if($err) echo "<p><font color=red>".$err."</font></p>";
?>
<form enctype="multipart/form-data" name="form" method="post" action="">
<table width="598">

<tr>
  <td>FILE</td>
  <td><input  type="file" name="fil" size="50"></td>
</tr>

<tr>
  <td>Ширина</td>
  <td><input name="banner_s" size="5" value="<? if(intval($_POST['banner_s'])) echo intval($_POST['banner_s']); else echo '';?>"></td>
</tr>

<tr>
  <td>Высота</td>
  <td><input name="banner_v" size="5" value="<? if(intval($_POST['banner_v'])) echo intval($_POST['banner_v']); else echo '';?>"></td>
</tr>

<tr>
	<td>Разместить до</td>
	<td><input readonly="readonly" value="<?=$opl_data?>" name="opl_data" class="date-pick dp-applied"></td>
</tr>

<tr>
	<td>Пометки администратора</td>
	<td><textarea name="prim" rows="5" cols="60"><?=stripslashes(htmlspecialchars_decode($prim))?></textarea></td>
</tr>

<tr>
  <td>&nbsp;</td>
  <td>&nbsp;</td>
</tr>

<tr>
<td>  <input type="submit" class="submit" name="Submit" value="Добавить"></td>
<td>
<input type="hidden" name="MM_insert" value="form">
</td>
</tr>
</table>
</form>
<?
require('bottom.php');
?>